[arch-commits] Commit in evolution-data-server/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at archlinux.org
Mon Jul 15 09:55:18 UTC 2019


    Date: Monday, July 15, 2019 @ 09:55:11
  Author: heftig
Revision: 358000

archrelease: copy trunk to extra-x86_64

Added:
  evolution-data-server/repos/extra-x86_64/PKGBUILD
    (from rev 357999, evolution-data-server/trunk/PKGBUILD)
Deleted:
  evolution-data-server/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   94 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 47 insertions(+), 47 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-07-15 09:54:59 UTC (rev 357999)
+++ PKGBUILD	2019-07-15 09:55:11 UTC (rev 358000)
@@ -1,47 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=evolution-data-server
-pkgver=3.32.3
-pkgrel=1
-pkgdesc="Centralized access to appointments and contacts"
-url="https://wiki.gnome.org/Apps/Evolution"
-arch=(x86_64)
-depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
-makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake)
-license=(GPL)
-_commit=e35e60f8fbc503e679117566f973012ce6856fa9  # tags/3.32.3^0
-source=("git+https://gitlab.gnome.org/GNOME/evolution-data-server.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  cmake -H$pkgname -Bbuild \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIBEXEC_INSTALL_DIR=/usr/lib \
-    -DSYSCONF_INSTALL_DIR=/etc \
-    -DENABLE_INTROSPECTION=ON \
-    -DENABLE_VALA_BINDINGS=ON \
-    -DENABLE_UOA=OFF \
-    -DENABLE_GTK_DOC=ON \
-    -DWITH_PHONENUMBER=ON
-  cmake --build build
-}
-
-check() {
-  # libedata-book tests fail because they try to
-  # mkdir /usr/lib/evolution-data-server/camel-providers
-  cmake --build build --target test || :
-}
-
-package() {
-  DESTDIR="$pkgdir" cmake --build build --target install
-}

Copied: evolution-data-server/repos/extra-x86_64/PKGBUILD (from rev 357999, evolution-data-server/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-07-15 09:55:11 UTC (rev 358000)
@@ -0,0 +1,47 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=evolution-data-server
+pkgver=3.32.4
+pkgrel=1
+pkgdesc="Centralized access to appointments and contacts"
+url="https://wiki.gnome.org/Apps/Evolution"
+arch=(x86_64)
+depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake)
+license=(GPL)
+_commit=08a0e971cd06c40caf735984e847c10ba1fbe5f7  # tags/3.32.4^0
+source=("git+https://gitlab.gnome.org/GNOME/evolution-data-server.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  cmake -H$pkgname -Bbuild \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLIBEXEC_INSTALL_DIR=/usr/lib \
+    -DSYSCONF_INSTALL_DIR=/etc \
+    -DENABLE_INTROSPECTION=ON \
+    -DENABLE_VALA_BINDINGS=ON \
+    -DENABLE_UOA=OFF \
+    -DENABLE_GTK_DOC=ON \
+    -DWITH_PHONENUMBER=ON
+  cmake --build build
+}
+
+check() {
+  # libedata-book tests fail because they try to
+  # mkdir /usr/lib/evolution-data-server/camel-providers
+  cmake --build build --target test || :
+}
+
+package() {
+  DESTDIR="$pkgdir" cmake --build build --target install
+}


More information about the arch-commits mailing list